Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.conf
Class NoOpCacheMarshaller

    java.lang.Object
      kodo.conf.NoOpCacheMarshaller

All Implemented Interfaces:
  CacheMarshaller

    public class NoOpCacheMarshaller

extends Object
implements CacheMarshaller

Implementation of `CacheMarshaller` that does nothing.

Since:
  4.1.3

Nested Class Summary

Nested classes/interfaces inherited from interface kodo.conf.CacheMarshaller
`CacheMarshaller.ValidationPolicy`

Constructor Summary
`NoOpCacheMarshaller()`

Method Summary
`String` | `getId()` The id that this marshaller is responsible for.
`Object` | `load()` Load and return an instance of the type handled by this marshaller.
`void` | `setId(String id)` The id that this marshaller is responsible for.
`void` | `setValidationPolicy(String policy)` The `CacheMarshaller.ValidationPolicy` that this marshaller should use.
`void` | `store(Object o)` Store `o` into the cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoOpCacheMarshaller

    public NoOpCacheMarshaller()

Method Detail

### load

    public Object load()

  Description copied from interface: `CacheMarshaller`
  Load and return an instance of the type handled by this marshaller. If the type implements `Configurable`, then this method will invoke `Configurable#setConfiguration()`, `Configurable.startConfiguration()`, and `Configurable.endConfiguration()` on the instance before returning.

  Specified by:
    `load` in interface `CacheMarshaller`

### setId

    public void setId(String id)

  Description copied from interface: `CacheMarshaller`
  The id that this marshaller is responsible for. A value for this parameter is required.

  Specified by:
    `setId` in interface `CacheMarshaller`

### getId

    public String getId()

  Description copied from interface: `CacheMarshaller`
  The id that this marshaller is responsible for.

  Specified by:
    `getId` in interface `CacheMarshaller`

### setValidationPolicy

    public void setValidationPolicy(String policy)

  Description copied from interface: `CacheMarshaller`
  The `CacheMarshaller.ValidationPolicy` that this marshaller should use. A value for this parameter is required. The class will be instantiated via the `Configurations` mechanism, ensuring that if the class implements `Configurable` or `GenericConfigurable`, it will be taken through the appropriate lifecycle.

  Specified by:
    `setValidationPolicy` in interface `CacheMarshaller`

### store

    public void store(Object o)

  Description copied from interface: `CacheMarshaller`
  Store `o` into the cache.

  Specified by:
    `store` in interface `CacheMarshaller`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.